
from .shadow_core import *

log = LogWriter()
"""
    Instance of `xloil.LogWriter` which writes a log message to xlOil's log.  The level 
    parameter can be a integer constant from the ``logging`` module or one of the strings
    *error*, *warn*, *info*, *debug* or *trace*.

    Only messages with a level higher than the xlOil log level which is (initially) set
    in the xlOil settings file will be output to the log file. Trace output can only
    be seen with a debug build of xlOil.
"""

from .register import (
    Arg, 
    func,
    scan_module,
    register_functions,
    Caller
    )

from .com import (
    use_com_lib,
    app,
    EventsPaused
    )

from .rtd import RtdSimplePublisher

from .type_converters import (
    ExcelValue,
    Cache, 
    SingleValue,
    AllowRange,
    Array,
    converter,
    returner
    )
